-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local log = require 'mc.logging'

local VIRTUAL_MEDIA_CD_PATH<const> = '/bmc/kepler/Managers/1/VirtualMedia/CD'
local VIRTUAL_MEDIA_CD_INTF<const> = 'bmc.kepler.Managers.VirtualMedia.CD'

local m = {}

function m.check_vmm_connect()
    local virtual_media_cd_obj = mdb.get_object(bus, VIRTUAL_MEDIA_CD_PATH, VIRTUAL_MEDIA_CD_INTF)

    return virtual_media_cd_obj.ConnectNum ~= 0
end

return m
